Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wcts.operation
Class TransformationReference

    java.lang.Object
      org.deegree.ogcwebservices.wcts.operation.TransformationReference

    public class TransformationReference

extends Object

The `TransformationReference` class wraps the incoming uris of a TransformOperation, which requests an explicit transformation.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Rutger Bezema, last edited by: $Author: mschneider $

Constructor Summary
`TransformationReference(String transformationID)` Constructor referencing a configured transformation id.
`TransformationReference(String sourceId, String targetId)` Constructor using a source and target crs.

Method Summary
`String` | `getSourceId()`
`String` | `getTargetId()`
`String` | `gettransformationId()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransformationReference

    public TransformationReference(String sourceId,
                                   String targetId)

  Constructor using a source and target crs.

  Parameters:
    `sourceId` -
    `targetId` -

### TransformationReference

    public TransformationReference(String transformationID)

  Constructor referencing a configured transformation id.

  Parameters:
    `transformationID` - to use

Method Detail

### gettransformationId

    public final String gettransformationId()

  Returns:
    the id of the transformation, may be `null`

### getSourceId

    public final String getSourceId()

  Returns:
    the id of the requested source CRS, may be `null`

### getTargetId

    public final String getTargetId()

  Returns:
    the id of the requested target CRS, may be `null`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org